#!/bin/bash
declare -a TIMESTAMPS=($(curl -s "http://www.ndbc.noaa.gov/station_history.php?station=$1" | grep '<option value="\d\{14\}"' | sed 's/<option value="\([0-9]*\)".*/\1/g' | tr '\n' ' '))
DATADIR=`pwd`"/../data"
echo "Total files to download: "${#TIMESTAMPS[@]}
for TIMESTAMP in "${TIMESTAMPS[@]}"
do
	URL="http://www.ndbc.noaa.gov/glider_graphs.php?file=T_SOVD83_C_KWNB_"$TIMESTAMP"_"$1".txt&glider_id="$1"&type=historical"
	`curl -s $URL > $DATADIR"/"$TIMESTAMP".png"`
done
